# finops-policies

![Version: v0.0.5](https://img.shields.io/badge/Version-v0.0.5-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.0.3](https://img.shields.io/badge/AppVersion-0.0.3-informational?style=flat-square)

A Helm chart for Kubernetes

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| defaultEnforcement | string | `"Enforce"` |  |
| enforcement | object | `{"block-large-image":"Audit","disallow_service_type_loadBalancer":"Audit","prevent_orphan_pods":"Audit","restrict_scale":"Audit"}` | List of Filenames and their validationFailureAction - If not provided falls back to `defaultEnforcement` |
| enforcement.block-large-image | string | `"Audit"` | Override defaultEnforcement for block-large-image Policy |
| enforcement.disallow_service_type_loadBalancer | string | `"Audit"` | Override defaultEnforcement for disallow_service_type_loadBalancer Policy |
| enforcement.prevent_orphan_pods | string | `"Audit"` | Override defaultEnforcement for prevent_orphan_pods Policy |
| enforcement.restrict_scale | string | `"Audit"` | Override defaultEnforcement for restrict_scale Policy |
| kyverno | object | `{"background":{"serviceAccount":"kyverno-background-controller"},"cleanup":{"serviceAccount":"kyverno-cleanup-controller"},"namespace":""}` | Details about where Kyverno is installed (if outside of finops-stack) |
| kyverno.background | object | `{"serviceAccount":"kyverno-background-controller"}` | Kyverno's Background Enforcement Service Config |
| kyverno.background.serviceAccount | string | `"kyverno-background-controller"` | Service Account for Kyverno's Background controller |
| kyverno.cleanup | object | `{"serviceAccount":"kyverno-cleanup-controller"}` | Kyverno's Cleanup Service Config |
| kyverno.cleanup.serviceAccount | string | `"kyverno-cleanup-controller"` | Service Account for Kyverno's Cleanup controller |
| kyverno.namespace | string | `""` | Namespace Kyverno is installed (defaults to the release Namespace) |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.14.2](https://github.com/norwoodj/helm-docs/releases/v1.14.2)
